/*Bulma caller from node*/
@import "./bulma.css";
@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;700&family=Roboto:wght@400;700&display=swap');


/*! HTML5 Boilerplate v8.0.0 | MIT License | https://html5boilerplate.com/ */

/* main.css 2.1.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */
:root{
  ::-webkit-scrollbar{height:10px;width:10px}::-webkit-scrollbar-track{background:#efefef;border-radius:6px}::-webkit-scrollbar-thumb{background:#d5d5d5;border-radius:6px}::-webkit-scrollbar-thumb:hover{background:#c4c4c4}
}

html {
  color: #222;
  font-size: 1em;
  line-height: 1.4;
  scroll-behavior: smooth;
}

/*Remove a color and hover color*/
a {
  color: inherit;
  text-decoration: none;
}
a:hover {
  color: inherit;
}
/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}

::selection {
  background: #b3d4fc;
  text-shadow: none;
}

/*
 * A better looking default horizontal rule
 */

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
  resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */
* {
  font-family: 'Roboto Condensed', sans-serif !important;
  font-size: 1.2rem;
}
/*Main Container*/
#mainContainer {
  position: relative;;
  z-index: 1;
}
/*Main Menu*/
#mainMenu {
  position: fixed;
  top: 10px;
  right: 10px;
  width: 2rem;
  z-index: 100;
  font-family: "Material Symbols Outlined";
  content: "e5d2";
} #mainMenu .nav-box {
  position: absolute;
  top: 40px;
  right: 40px;
  width: 190px;
  opacity: 1;
  transition: all 0.2s ease-in-out;
} #mainMenu .nav-box.is-active {
  display: block;
  opacity: 1;
} .menu-list a:hover {
  color: #EFEFEF !important;
  background-color: #E7523C !important;
} .menu-list .active {
  color: #EFEFEF !important;
  background-color: #E7523C !important;
}

/*Acerca de mi*/
/*Main avatar*/
.box-avatar {
  position: absolute;
  top: -270px;
  left: -50px;
  width: 250px;
  z-index: -1;
} .box-avatar img {
  border-radius: 5% 7rem 0 9%;
}
.box-logo {
  position: absolute;
  top: calc(50% - 70px);
  right: -120px;
  width: 110px;
}
.main-logo {
  width: 250px !important;
  top: -15px !important;
  left: 0;
  background: white;
  border-radius: 10px;
}

/* Next Portfolio span*/
.next-portfolio {
  position: absolute;
  bottom: 1.3rem;
  right: calc(50% - 150px);
  left: calc(50% - 150px);
  width: 300px;
  height: auto;
  background-color: rgba(0,0,0,0);
  transition: all 0.2s ease-in-out;
  cursor: pointer;
} .next-portfolio ion-icon {
  font-size: 3.5rem;
} .next-portfolio:hover {
  background-color: rgba(109,152,197, 0.3);
}

/*Borderds*/
.has-border-1-grey-light {
  border: 1px solid #999999 !important;
}
/*Template Colors*/
.has-background-blue-grey-lighter {
  background-color: #6D98C5 !important;
}
.has-background-blue-grey {
  background-color: #3A6592 !important;
}
.has-background-red {
  background-color: #E7523C !important;
}
.has-background-white-ter {
  background-color: #EFEFEF !important;
}
.has-background-grey-dark {
  background-color: #434343 !important;
}
.has-background-grey-light {
  background-color: #999999 !important;
}
.has-background-cheese:nth-of-type(3n+2) {
  background-color: rgba(109,152,197, 0.3) !important;
}
.has-color-grey-lighter {
  color: #6D98C5 !important;
}
.has-color-blue-grey {
  color: #3A6592 !important;
}
.has-color-red {
  color: #E7523C !important;
}
.has-color-white-ter {
  color: #EFEFEF !important;
}
.has-color-grey-dark {
  color: #434343 !important;
}
.has-color-grey-light {
  color: #999999 !important;
}

/* Fonts*/
.has-large-font-size {
  font-size: 1.5rem !important;
}

/*Width*/
.is-90 {
  width: 90% !important;
}

/*Borders*/
.is-borderless {
  border: none !important;
}
.is-border-radius-0 {
  border-radius: 0px !important;
}

/*Image*/
/*Image sepia filter*/
.is-img-sepia {
  filter: sepia(100%);
}
/*Image grayscale filter*/
.is-img-grayscale {
  filter: grayscale(100%);
}
/*Image blur filter*/
.is-img-blur {
  filter: blur(5px);
} .is-hover-blur:hover {
  filter: blur(4px);
}
/*Hover Zoom Cover*/
.is-hover-zoom {
  transition: all 0.2s ease-in-out;
} .is-hover-zoom:hover {
  object-fit: cover !important;
  transform: scale(1.1);
}
/*Image Cover FIt*/
.is-img-ofcover {
  object-fit: cover !important;
}

/*Modal*/
.modal-exit {
  position: absolute;
  top: 1.6rem;
  right: 1rem;
  z-index: 1;
} .modal-close {
  position: absolute;
  top: 1.6rem;
  right: 1rem;
  z-index: 1;
}

/*Full size loading*/
.loading-background {
  position: fixed;
  height: 100vh;
  width: 100vw;
  background: rgba(39, 39, 39, 0.7);
  z-index: 9998;
}
.loading {
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  display: flex;
  justify-content: center;
  align-items: center;
  pointer-events: none;
  transition: all .5s;
  z-index: 9999;
}
.loading::before {
  content: " ";
  display: block;
  position: fixed;
  width: 100%;
  height: 100%;
}
.loading::after {
  content: " ";
  display: block;
  width: 100px;
  height: 100px;
  border: 10px solid #EFEFEF;
  border-top: 10px solid #E7523C;
  border-radius: 50%;
  animation: spinAround 500ms infinite linear;
}

/*Extra CSS*/
.content .wp-block-group {
  padding: 0 2rem !important;
}
.content .wp-block-gallery {
  display: flex !important;
  flex-wrap: wrap !important;
  align-items: baseline !important;
} .content .wp-block-gallery .size-full {
  width: calc(33.333% - 1rem) !important;
  height: 250px !important;
  margin: .5rem !important;
  padding: 0 !important;
  overflow: hidden !important;
} .content .wp-block-gallery .size-full img {
  cursor: pointer !important;
  position: relative !important;
  width: 100% !important;
  height: 100% !important;
  object-fit: cover !important;
  transition: all 1s ease-in-out !important;
} .content .wp-block-gallery .size-full img:hover {
  opacity: 1 !important;
  transform: scale(1.1) !important;
}

/* ==========================================================================
   Helper classes
   ========================================================================== */

/*
 * Hide visually and from screen readers
 */

.hidden,
[hidden] {
  display: none !important;
}

/*
 * Hide only visually, but have it available for screen readers:
 * https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
 *
 * 1. For long content, line feeds are not interpreted as spaces and small width
 *    causes content to wrap 1 word per line:
 *    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
 */

.sr-only {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  /* 1 */
}

/*
 * Extends the .sr-only class to allow the element
 * to be focusable when navigated to via the keyboard:
 * https://www.drupal.org/node/897638
 */

.sr-only.focusable:active,
.sr-only.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  white-space: inherit;
  width: auto;
}

/*
 * Hide visually and from screen readers, but maintain layout
 */

.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */

.clearfix::before,
.clearfix::after {
  content: " ";
  display: table;
}

.clearfix::after {
  clear: both;
}

/*Particles Background*/
.particles-background {
  position: fixed;
  width: 100vw;
  height: 100vh;
}

.is-pulse {
  animation: pulse-animation 2s infinite;
}
/* Define the pulse animation */
@keyframes pulse-animation {
  0% {
    box-shadow: 0 0 0 0px rgba(17, 43, 117, 0.301);
  }
  100% {
    box-shadow: 0 0 0 25px rgba(0, 0, 0, 0);
  }
}
/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (max-width: 768px) {
  .circle{
    bottom: calc(-150% - 150px);
    animation: ripple 10s infinite;
  }
  .box-avatar {
    width: 150px;
    top: -160px;
    left: 0;
  }
  .box-logo {
    left: -15px;
    width: 100px;
    top: -50px;
    background: white;
    border-radius: 10px;
  }
  .main-logo {
    width: 250px !important;
    top: -15px !important;
    left: 0;
    background: white;
    border-radius: 10px;
  }
  .content .wp-block-group {
    padding: 0 0.5rem !important;
  }
  .content .wp-block-gallery .size-full {
    width: calc(50% - 1rem) !important;
    height: 100px !important;
  }
  .auto-script {
    font-size: 1.2rem !important;
  }
  /*width*/
  .is-90 {
    width: 100% !important;
  }
}

@media only screen and (max-width: 1023px) {
  #mainMenu .nav-box {
    display: none;
    opacity: 0;
  }
  .next-portfolio {
    display: none !important;
  }
}

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
  (-webkit-min-device-pixel-ratio: 1.25),
  (min-resolution: 1.25dppx),
  (min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/*Media Query for landscape mode and max-width tablet*/
@media only screen and (orientation: landscape) and (max-width: 1080px) {
  .box-avatar {
    left: -100%;
    top: 0;
  }
}

/* ==========================================================================
   Print styles.
   Inlined to avoid the additional HTTP request:
   https://www.phpied.com/delay-loading-your-print-css/
   ========================================================================== */

@media print {
  *,
  *::before,
  *::after {
    background: #fff !important;
    color: #000 !important;
    /* Black prints faster */
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  /*
   * Don't show links that are fragment identifiers,
   * or use the `javascript:` pseudo protocol
   */
  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre {
    white-space: pre-wrap !important;
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  /*
   * Printing Tables:
   * https://web.archive.org/web/20180815150934/http://css-discuss.incutio.com/wiki/Printing_Tables
   */
  thead {
    display: table-header-group;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}

